This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 89913 - incorrect information in time(1) man page
incorrect information in time(1) man page
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
8.0
All Linux
low Severity low
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 14:10 EDT by Malcolm Heath
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.58-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 17:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Malcolm Heath 2003-04-29 14:10:42 EDT
Description of problem:

The man page of time(1) contains the following incorrect statement:
"When command finishes, time writes a  message  to  standard output  giving
timing statistics about this program run."

This is incorrect.  time writes a message to standard error, not standard output.

Version-Release number of selected component (if applicable):

1.7

How reproducible:
Every time.

Steps to Reproduce:
1. strace time date
<time output send to filehandle 2>
 
Actual results:


Expected results:


Additional info:
Comment 1 Florian La Roche 2003-06-03 06:49:08 EDT
I have verified that it writes to standard error, so this should be fixed in
the man-page. Reassigning to the correct rpm (man-pages).

Thanks a lot,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.